Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 185237 - ncurses can't emerge dueto QA prefix breach
Summary: ncurses can't emerge dueto QA prefix breach
Status: VERIFIED NEEDINFO
Alias: None
Product: Gentoo/Alt
Classification: Unclassified
Component: Other (show other bugs)
Hardware: Sparc64 Solaris
: High normal (vote)
Assignee: Gentoo non-Linux Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-13 21:09 UTC by Lari Korpi
Modified: 2008-01-03 08:20 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lari Korpi 2007-07-13 21:09:29 UTC
After following http://www.gentoo.org/proj/en/gentoo-alt/prefix/bootstrap-solaris.xml ncurses fails after compilation.

Reproducible: Always

Steps to Reproduce:
1. bootstrap portage on Solaris 10
2. try to emerge ncurses


Actual Results:  
 * QA Notice: the following files are outside of the prefix:
 * /gentoo
/gentoo/usr
/gentoo/usr/lib
/gentoo/usr/lib/libncurses.so.5.5
/gentoo/usr/lib/libncurses.so.5
/gentoo/usr/lib/libncurses.so
/gentoo/usr/lib/libcurses.so
/gentoo/usr/lib/libncurses.a
/gentoo/usr/lib/libcurses.a
 *
 * ERROR: sys-libs/ncurses-5.5-r03.2 failed.


Expected Results:  
Emerged ncurses

Portage 2.2.00.7085-prefix (default-prefix/sunos/solaris/5.10/sparc, gcc-4.1.2, unavailable, 5.10 sun4u)
=================================================================
                        System Settings
=================================================================
System uname: 5.10 sun4u sparc
Gentoo Prefix Base System version 1.12.5
Timestamp of tree: Unknown
dev-lang/python:     2.4.4-r04.2
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17.50.0.17
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.24
ACCEPT_KEYWORDS="sparc-solaris ~sparc-solaris"
AUTOCLEAN="yes"
CBUILD="sparc-sun-solaris2.10"
CHOST="sparc-sun-solaris2.10"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf"
DISTDIR="/usr/gentoo/usr/portage/distfiles"
EPREFIX="/usr/gentoo"
FEATURES="collision-protect distlocks metadata-transfer nostrip sfperms strict unmerge-orphans"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
PKGDIR="/usr/gentoo/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/usr/gentoo/var/tmp"
PORTDIR="/usr/gentoo/usr/portage"
SYNC="svn+http://overlays.gentoo.org/svn/proj/alt/trunk/prefix-overlay"
USE="midi ncurses prefix readline sparc sparc-solaris ssl zlib" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="SunOS" INPUT_DEVICES="keyboard mouse" KERNEL="SunOS" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="Solaris"
Unset:  CFLAGS, CTARGET, CXXFLAGS, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 1 Fabian Groffen gentoo-dev 2007-07-20 09:24:54 UTC
I've tried emerging sys-libs/ncurses-5.5-r03.2 on sun/sparc/solaris 10, and I didn't get the problem.

Your error message looks weird to me, the /usr is missing from the start considering your prefix, it seems...

How is the image dir looking like?
(e.g. find $EPREFIX/var/tmp/sys-libs/ncurses-5.5*/image)
Comment 2 Lari Korpi 2007-07-23 13:08:26 UTC
(In reply to comment #1)
> How is the image dir looking like?
> (e.g. find $EPREFIX/var/tmp/sys-libs/ncurses-5.5*/image)
>

ls -l /usr/gentoo/var/tmp/portage/sys-libs/ncurses-5.5*/image
total 2
drwxr-xr-x 3 root root 512 Jul 23 09:17 gentoo
drwxr-xr-x 3 root root 512 Jul 23 09:17 usr

the following might give some insight into the reason for there being a gentoo directory in images root.

cat /usr/gentoo/var/tmp/portage/sys-libs/ncurses-5.5-r03.2/temp/build.log
....
installing etip.h in /usr/gentoo/var/tmp/portage/sys-libs/ncurses-5.5-r03.2/image//usr/gentoo/usr/include
make[1]: Leaving directory `/usr/gentoo/var/tmp/portage/sys-libs/ncurses-5.5-r03.2/work/narrowc/c++'
/usr/gentoo/usr/portage/sys-libs/ncurses/ncurses-5.5-r03.2.ebuild: line 115: cd: /usr/gentoo/var/tmp/portage/sys-libs/ncurses-5.5-r03.2/image/usr/gentoo//lib: No such file or directory
mv: cannot stat `*.a': No such file or directory
Comment 3 Lari Korpi 2007-09-05 09:25:34 UTC
As a workaround I did a new bootstrap to /gentoo and that works.
Comment 4 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2007-09-26 18:14:30 UTC
I can't reproduce this "bug" on my Solaris boxes. Bug can probably be closed, looks like $EPREFIX might have been set wrong in the original post?
Comment 5 Fabian Groffen gentoo-dev 2007-10-08 19:30:55 UTC
Can't reproduce, does it still happen with the latest bootstrap script and image?
Comment 6 Fabian Groffen gentoo-dev 2008-01-03 08:20:12 UTC
this looks like it is the same bug that hit us, because the EPREFIX contains /usr in it, where a too greedy sed gets confused.

I think this bug has been fixed.